MVP.PCAplot {rMVP} | R Documentation

## PCA Plot

### Description

PCA Plot

### Usage

    MVP.PCAplot(PCA, memo = "MVP", col = NULL, pch = NULL,
      class = NULL, legend.pos = "topright", Ncluster = 1,
      plot3D = FALSE, file.type = "pdf", dpi = 300, box = FALSE,
      file.output = TRUE, outpath = getwd(), verbose = TRUE)

### Arguments

`PCA` | Principal component analysis result, 2-column matrix
`memo` | the prefix of the output image file.
`col` | colors for each cluster
`pch` | Either an integer specifying a symbol or a single character to be used as the default in plotting points. See `points` for possible values and their interpretation. Note that only integers and single-character strings can be set as a graphics parameter (and not NA nor NULL).
`class` | the class of all individuals, for example: "breed", "location"
`legend.pos` | position of legend. default is "topright"
`Ncluster` | cluster number
`plot3D` | (DEPRECATED)if TRUE, plot PC figure in 3D format, it can be only used in windows and mac operation system, "rgl" package should be installed beforehead
`file.type` | Character. Options are jpg, pdf, and tiff
`dpi` | Number. Dots per inch for .jpg and .tiff files
`box` | Logical value. If TRUE, the border line of Manhattan plot will be added
`file.output` | Logical value. If TRUE, the figures will be generated.
`outpath` | Effective only when file.output = TRUE, determines the path of the output file
`verbose` | whether to print detail.

### Value

Output file: MVP.PCA_2D.<type>

### Examples

    genoPath <- system.file("extdata", "06_mvp-impute", "mvp.imp.geno.desc", package = "rMVP")
    geno <- attach.big.matrix(genoPath)
    pca <- MVP.PCA(M=geno)

    MVP.PCAplot(PCA=pca, Ncluster=3, class=NULL,
        col=c("red", "green", "yellow"), file.output=FALSE, pch=19)

[Package rMVP version 0.99.15 Index]